// http://little-scale.blogspot.com/2017/05/teensy-36-basics-touchread.html
// wenn die Werte hoch sind, soll dem Computer ein Keyboard.print-Event
// geschickt werden, der dann z.B. auf einer Website eine Veränderung via Javascript auslöst

// WICHTIG! You must select Keyboard from the "Tools > USB Type" menu!

// die eingebaute LED
const int ledPin = 13;

// ausprobieren, evtl. anpassen
const int grenzWert = 3000;

// Hier nachsehen, wo die Kabel eingesteckt werden sollen
// PIN-Layout: https://www.pjrc.com/teensy/card6a_rev4_web.pdf

int touchRead_pin_1 = 0;   // Pin 0, Ausgabe von 'j'
int touchRead_pin_2 = 23;  // Pin 23, Ausgabe von 'u'
int touchRead_pin_3 = 16;  // Pin 16, Ausgabe von 'l' (loeschen)

int data;

void setup() {
  Serial.begin(57600);
  pinMode(ledPin, OUTPUT);
}

void loop() {
  // Buchstaben mit Single-Quotes angeben!
  // hier könnten beliebig viele pin_auslese_Events festgelegt werden
  // der Teensy LC hat 11 Touch-Pins
  pin_auslesen(touchRead_pin_1, 'j');
  pin_auslesen(touchRead_pin_2, 'u');
  pin_auslesen(touchRead_pin_3, 'l');

  // nicht zu kurze Pause einbauen!
  delay(200);
}

// geht der Kapazitätswert des jeweiligen Pins über den festgelegten Grenzwert
// wird der jeweils gewünschte Buchstabe via "Keyboard" versendet
void pin_auslesen(int welchePin, char buchstabe) {
  data = touchRead(welchePin);

  // Ausgabe des Kapazitätswertes, der ständig gemessen wird
  // fürs Funktionieren der Buchstabenausgabe nicht nötig
  // nur zur Kontrolle
  Serial.print("Kapazitätswert: ");
  Serial.println(data);

  if (data > grenzWert) {
    // nicht nötig, zeigt aber, wenn Kapazitäts-Grenzwert überschritten ist
    // und ein Buchstabe geschickt wird
    digitalWrite(ledPin, HIGH);

    // Ausgabe im Serial-Monitor, auch optional
    Serial.print("Buchstabe: ");
    Serial.println(buchstabe);

    Keyboard.println(buchstabe);
  } else {
    digitalWrite(ledPin, LOW);
  }
}